org.apache.mina.transport.nio

## Interface SelectorLoop

- All Known Implementing Classes:
    NioSelectorLoop

      public interface SelectorLoop

  Author:
    Apache MINA Project

- - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `modifyRegistration(boolean accept, boolean read, boolean write, SelectorListener listener, SelectableChannel channel, boolean wakeup)`
    `void` | `register(boolean accept, boolean connect, boolean read, boolean write, SelectorListener listener, SelectableChannel channel, RegistrationCallback callback)` Register a channel on a Selector, for some events.
    `void` | `unregister(SelectorListener listener, SelectableChannel channel)`
    `void` | `wakeup()` Wake up the selector

- - ### Method Detail

    - #### register

          void register(boolean accept,
                      boolean connect,
                      boolean read,
                      boolean write,
                      SelectorListener listener,
                      SelectableChannel channel,
                      RegistrationCallback callback)

      Register a channel on a Selector, for some events. We can register for OP_ACCEPT, OP_READ or OP_WRITE.
      Parameters:
        `accept` - Registers for OP_ACCEPT events
        `connect` - Registers for OP_CONNECT events
        `read` - Registers for OP_READ events
        `write` - Registers for OP_WRITE events
        `listener` - The listener
        `channel` -
        `wakeup` - Tells if we should do a wakeup() on the selector

    - #### modifyRegistration

          void modifyRegistration(boolean accept,
                                boolean read,
                                boolean write,
                                SelectorListener listener,
                                SelectableChannel channel,
                                boolean wakeup)

    - #### unregister

          void unregister(SelectorListener listener,
                        SelectableChannel channel)

    - #### wakeup

          void wakeup()

      Wake up the selector

Copyright © 2009–2013 Apache MINA Project. All rights reserved.